Name:		qps
Version:	2.11.1
Release:	%mkrel 1
Summary:	Qt Visual Process Manager
License:	GPLv2+ and LGPLv2+
Group:		Monitoring
Url:		https://lxqt-project.org/
Source0:	https://github.com/lxqt/qps/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	cmake(lxqt) >= 2
BuildRequires:	cmake(lxqt2-build-tools)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(xrender)

%description
Qps is a visual process manager, an X11 version of "top" or "ps" that
displays processes in a window and lets you sort and manipulate them. It
displays some general system information, and many details about current
processes.

Qps can:
  * change nice value of a process
  * alter the scheduling policy and soft realtime priority of a process
  * display the TCP/UDP sockets used by a process, and names of the
    connected hosts (Linux only)
  * display the memory mappings of the process (which files and shared
    libraries are loaded where)
  * display the open files of a process, and the state of unix domain
    sockets
  * kill or send any other signal to selected processes
  * display the load average as a graph, and use this as its icon when
    iconified
  * show (as graph or numbers) current CPU, memory and swap usage
  * sort the process table on any attribute (size, cpu usage, owner etc)
  * on SMP systems running Linux 2.1 or later (or Solaris), display cpu
    usage for each processor, and which CPU a process is running on
  * display the environment variables of any process
  * show the process table in tree form, showing the parent-child
    relationship
  * execute user-defined commands on selected processes
  * display MOSIX-specific fields and migrate processes to other nodes
    in a cluster

%prep
%autosetup

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/metainfo/org.lxqt.Qps.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Mon May 19 2025 katnatek <katnatek> 2.11.1-1.mga10
+ Revision: 2184699
- Update to version 2.11.1

* Tue Apr 22 2025 papoteur <papoteur> 2.11.0-1.mga10
+ Revision: 2178283
- new version 2.11.0

* Tue Nov 05 2024 daviddavid <daviddavid> 2.10.0-1.mga10
+ Revision: 2112512
- New version 2.10.0

* Fri Apr 19 2024 papoteur <papoteur> 2.9.0-2.mga10
+ Revision: 2059294
- new version 2.9.0
- switch to Qt6
- new version 2.9.0
- switch to Qt6

* Sun Nov 05 2023 papoteur <papoteur> 2.8.0-1.mga10
+ Revision: 2004548
- new version 2.8.0

* Sun Apr 16 2023 papoteur <papoteur> 2.7.0-1.mga9
+ Revision: 1953147
- new version 2.7.0

* Tue Nov 15 2022 daviddavid <daviddavid> 2.6.0-1.mga9
+ Revision: 1907756
- new version: 2.6.0

* Tue Apr 05 2022 umeabot <umeabot> 2.3.0-2.mga9
+ Revision: 1845092
- Mageia 9 Mass Rebuild

* Fri Apr 16 2021 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1716071
- New version 2.3.0

* Thu Dec 17 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1659547
- Rebuild for new Qt5

* Thu Dec 17 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1658983
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1643199
- New version 2.2.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1571841
- new version: 2.1.0

* Sat Feb 15 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1525006
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 2.0.0-1.mga8
+ Revision: 1497426
- new version: 2.0.0
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.10.20-2.mga7
+ Revision: 1384250
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 1.10.20-1.mga7
+ Revision: 1380848
- new version: 1.10.20

* Sat Jan 26 2019 daviddavid <daviddavid> 1.10.19-1.mga7
+ Revision: 1361118
- new version: 1.10.19

* Fri Dec 28 2018 daviddavid <daviddavid> 1.10.18-3.mga7
+ Revision: 1345493
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 1.10.18-2.mga7
+ Revision: 1300668
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 daviddavid <daviddavid> 1.10.18-1.mga7
+ Revision: 1238712
- initial package qps

